MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/playlist_vector.h File Reference

`#include <stdbool.h>`
`#include <stddef.h>`
`#include <sys/time.h>`

Go to the source code of this file.

## Data Structures
struct | playlist_metadata
| A directory entry pointing to a playlist file. More...
struct | playlist_vector
## Functions
static void | playlist_vector_init (struct playlist_vector *pv)
void | playlist_vector_deinit (struct playlist_vector *pv)
struct playlist_metadata * | playlist_vector_find (struct playlist_vector *pv, const char *name)
void | playlist_vector_add (struct playlist_vector *pv, const char *name, time_t mtime)
bool | playlist_vector_update_or_add (struct playlist_vector *pv, const char *name, time_t mtime)
bool | playlist_vector_remove (struct playlist_vector *pv, const char *name)

## Function Documentation

void playlist_vector_add | ( | struct playlist_vector * | pv,
|  | const char * | name,
|  | time_t | mtime
| ) |  |

void playlist_vector_deinit | ( | struct playlist_vector * | pv | ) |

struct playlist_metadata* playlist_vector_find | ( | struct playlist_vector * | pv,
|  | const char * | name
| ) |  | `[read]`

static void playlist_vector_init | ( | struct playlist_vector * | pv | ) | `[inline, static]`

Definition at line 46 of file playlist_vector.h.

bool playlist_vector_remove | ( | struct playlist_vector * | pv,
|  | const char * | name
| ) |  |

bool playlist_vector_update_or_add | ( | struct playlist_vector * | pv,
|  | const char * | name,
|  | time_t | mtime
| ) |  |

Returns:
  true if the vector or one of its items was modified